<main class="main-content grid__item medium-up--four-fifths"
	id="MainContent" role="main">

<!-- /templates/cart.liquid -->

<div *ngIf="cart" class="grid">
	<div *ngIf="cart.itemCount<1" >
        <h1>Alışveriş Sepeti</h1>
        <p>Sepetiniz boş.</p>
        <p>Gözatmaya <a routerLink="/" routerLinkActive="active">devam edin</a> .</p>
	</div>
	<div  *ngIf="cart.itemCount>0" class="grid__item">
		<h1 class="h2 visually-hidden">Alışveriş Sepeti</h1>
		<form [formGroup]="cartForm" (ngSubmit)="onCartFromSubmit()" novalidate="" class="cart">
			<table class="responsive-table table--no-border">
				<thead class="cart__row cart__header-labels small--hide">
					<tr>
						<th class="text-left cart__table-cell--image">Ürün</th>
						<th class="text-center cart__table-cell--meta"></th>
						<th class="text-center cart__table-cell--price">Fiyat</th>
						<th class="text-center cart__table-cell--quantity">Adet</th>
						<th class="text-right cart__table-cell--line-price">Toplam</th>
					</tr>
				</thead>
				<tbody>

					<tr *ngFor="let orderItem of cart.orderItems" class="cart__row responsive-table__row"  >
						<td class="cart__table-cell--image small--text-center">
							<a routerLink="/product/{{orderItem.name}}" routerLinkActive="active">
								<img class="cart__image"
								src="{{orderItem.primaryMedia.url}}"
								alt="{{orderItem.primaryMedia.alttext}}">
							</a>
						</td>
						<td class="cart__table-cell--meta small--text-center">
							<p>
								<a routerLink="/product/{{orderItem.name}}" routerLinkActive="active">{{orderItem.name}}</a>
								<br>
								<small *ngFor="let orderItemAttribute of orderItem.orderItemAttributes; let last = last">{{orderItemAttribute.value}} <span [hidden]='last'>/</span> </small>

							</p>
							<p class="txt--minor">
								<a (click)="removeOrderItem(orderItem)" class="cart__remove">Remove</a>
							</p>
						</td>
						<td class="cart__table-cell--price medium-up--text-center"
							data-label="Price"><span> {{orderItem.salePrice.amount}} {{orderItem.salePrice.currency}}  </span></td>
						<td data-label="Quantity"
							class="medium-up--text-center cart__table-cell--quantity"><label
							class="visually-hidden"
							for="{{orderItem.id}}">Quantity</label>
							<input class="quantity-selector" name="updates[]" formControlName="{{orderItem.id}}"
							 [ngModel]="orderItem.quantity"
							id="{{orderItem.id}}"
							min="0" type="number"></td>
						<td data-label="Total" class="text-right cart__table-cell--line-price">
							<span *ngFor="let orderItemPriceDetail of orderItem.orderItemPriceDetails">{{orderItemPriceDetail.totalAdjustedPrice.amount}} {{orderItemPriceDetail.totalAdjustedPrice.currency}}</span>
						</td>
					</tr>

				</tbody>
			</table>

			<footer class="cart__footer">
				<div class="grid">
					<div class="grid__item medium-up--one-half">
						<label for="CartSpecialInstructions" class="label--block">Özel Talimatlar</label>
						<textarea name="note" id="CartSpecialInstructions"
							class="input--block cart__note"></textarea>
					</div>
					<div
						class="grid__item text-center medium-up--one-half medium-up--text-right">
						<p>
							<span class="cart__subtotal-title h3">Ara toplam</span> <span
								class="cart__subtotal h3">{{cart.subTotal.amount}} {{cart.subTotal.currency}}</span>
						</p>

						<p class="txt--emphasis">Kargo ve diğer giderler eklenebilir.</p>
						<p>
							<button type="submit" name="update"
								class="btn btn--secondary update-cart">
								<svg aria-hidden="true" focusable="false" role="presentation"
									class="icon icon-update" viewBox="0 0 25 25">
									<path d="M22.339 1.386a1.606 1.606 0 0 0-1.743 1.458l-.077.875A12.124 12.124 0 0 0 12.211.456C5.478.456 0 5.933 0 12.666s5.478 12.212 12.211 12.212c4.653 0 8.84-2.587 10.923-6.748a1.606 1.606 0 1 0-2.872-1.438 8.959 8.959 0 0 1-8.051 4.973c-4.962 0-8.999-4.035-8.999-8.998 0-4.961 4.037-8.999 8.999-8.999a8.93 8.93 0 0 1 6.172 2.452l-1.292-.115a1.604 1.604 0 0 0-1.741 1.458 1.605 1.605 0 0 0 1.457 1.742l4.799.426a1.601 1.601 0 0 0 1.742-1.458l.448-5.045a1.607 1.607 0 0 0-1.457-1.742z"></path></svg>
								<span class="icon__fallback-text">Update Cart</span>
							</button>
							<a  routerLink="/" routerLinkActive="active" class="btn btn--secondary" >Alışverişe Devam</a>
						</p>
						<p>
                            <a  routerLink="/checkout" routerLinkActive="active" class="btn" >Satın Al</a>
						</p>
					</div>
				</div>
			</footer>
		</form>

	</div>
</div>

</main>
